%{?nodejs_find_provides_and_requires}

%global packagename http-errors
%global enable_tests 1

Name:		nodejs-http-errors
Version:	1.4.0
Release:	2%{?dist}
Summary:	Create HTTP errors for Express, Koa, Connect, etc. with ease

License:	MIT
URL:		https://github.com/jshttp/http-errors
Source0:	https://github.com/jshttp/http-errors/archive/%{version}.tar.gz


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif


BuildRequires:	nodejs-packaging
BuildRequires:	npm(statuses)
BuildRequires:	npm(inherits)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Create HTTP errors for Express, Koa, Connect, etc. with ease

%prep
%setup -q -n %{packagename}-%{version}


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md HISTORY.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb 01 2016 Jared Smith <jsmith@fedoraproject.org> - 1.4.0-1
- Update to upstream 1.4.0 release

* Mon Nov 02 2015 Jared Smith <jsmith@fedoraproject.org> - 1.3.1-2
- Fix ExclusiveArch for building on EPEL

* Wed Oct  7 2015 Jared Smith <jsmith@fedoraproject.org> - 1.3.1-1
- Initial packaging
